﻿Type=Activity
Version=1.80
FullScreen=False
IncludeTitle=False
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	'Database
'	Dim SQL1 As SQL
'	Dim DBFileDir As String			: DBFileDir = File.DirDefaultExternal
'	Dim DBFileName As String		: DBFileName = "alliedrota.sqlite"
	
	Dim LabelText As String
	Dim WhatWas As Int

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Dim LayoutPanel As Panel

	Dim InsertKey As Button
	Dim BackKey As Button
	Dim ClearKey As Button
	
	Dim Pan(16) As Panel
	Dim lbl(8) As Label
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	'If File.Exists(DBFileDir, DBFileName) = False Then
	'	If FirstTime Then
	'		File.Copy(File.DirAssets, DBFileName, DBFileDir, DBFileName)
	'		MainScreen.SQL1.Initialize(DBFileDir, DBFileName, True)
	'	End If
	'Else
	'	If FirstTime Then
	'		MainScreen.SQL1.Initialize(MainScreen.DBFileDir, MainScreen.DBFileName, True)
	'	End If
	'End If
	
	LoadLayoutToPanel("New_Client.bal")
	
End Sub

Sub Activity_Resume
	lbl(WhatWas).Text = KeyIn.InputText
	LabelText = ""
	KeyIn.InputText = ""
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub LoadLayoutToPanel (Layout As String)

	Dim i As Int
	
	If LayoutPanel.IsInitialized Then
		Activity.RemoveViewAt(0)
	End If
	
	Dim BP, LB, ABP, ALB As ColorDrawable
	
	BP.Initialize(Colors.RGB(255, 215, 0), 7dip)
	LB.Initialize(Colors.RGB(255, 255, 255), 5dip)
	ABP.Initialize(Colors.RGB(255, 215, 0), 7dip)
	ALB.Initialize(Colors.RGB(255, 255, 255), 5dip)
	
	For i = 0 To 7
		Pan(i).Initialize("Panny")
		Pan(i).Color = Colors.Transparent
		Pan(i).Background = BP
		lbl(i).Initialize("")
		lbl(i).TextColor = Colors.Black
		lbl(i).TextSize = 18
		lbl(i).Gravity = Gravity.CENTER_VERTICAL
	Next
	
	For i = 8 To 15
		Pan(i).Initialize("")
		Pan(i).Color = Colors.Transparent
		Pan(i).Background = LB
	Next
	
	Pan(3).Background = ABP
	Pan(11).Background = ALB
	
	LayoutPanel.Initialize("")
	LayoutPanel.LoadLayout(Layout)
	
	Pan(0).Tag = "0"
	LayoutPanel.AddView(Pan(0), 5, 30, 200, 54)
	Pan(0).AddView(Pan(8), 4, 4, 192, 46)
	Pan(0).AddView(lbl(0), 15, 4, 170, 46)

	Pan(1).Tag = "1"
	LayoutPanel.AddView(Pan(1), 5, 120, 200, 54)
	Pan(1).AddView(Pan(9), 4, 4, 192, 46)
	Pan(1).AddView(lbl(1), 15, 4, 170, 46)
	
	Pan(2).Tag = "2"
	LayoutPanel.AddView(Pan(2), 275, 120, 200, 54)
	Pan(2).AddView(Pan(10), 4, 4, 192, 46)
	Pan(2).AddView(lbl(2), 15, 4, 170, 46)
	
	Pan(3).Tag = "3"
	LayoutPanel.AddView(Pan(3), 5, 210, 470, 54)
	Pan(3).AddView(Pan(11), 4, 4, 462, 46)
	Pan(3).AddView(lbl(3), 15, 4, 440, 46)
	
	Pan(4).Tag = "4"
	LayoutPanel.AddView(Pan(4), 5, 295, 200, 54)
	Pan(4).AddView(Pan(12), 4, 4, 192, 46)
	Pan(4).AddView(lbl(4), 15, 4, 170, 46)
	
	Pan(5).Tag = "5"
	LayoutPanel.AddView(Pan(5), 275, 295, 200, 54)
	Pan(5).AddView(Pan(13), 4, 4, 192, 46)
	Pan(5).AddView(lbl(5), 15, 4, 170, 46)
	
	Pan(6).Tag = "6"
	LayoutPanel.AddView(Pan(6), 5, 385, 200, 54)
	Pan(6).AddView(Pan(14), 4, 4, 192, 46)
	Pan(6).AddView(lbl(6), 15, 4, 170, 46)
	
	Pan(7).Tag = "7"
	LayoutPanel.AddView(Pan(7), 275, 385, 200, 54)
	Pan(7).AddView(Pan(15), 4, 4, 192, 46)
	Pan(7).AddView(lbl(7), 15, 4, 170, 46)
	
	Activity.AddView(LayoutPanel,0,0,100%x,100%y)
	
	AllOff

End Sub

Sub AllOff
	Dim i As Int
	
	For i = 0 To 7
		Pan(i).Color = Colors.Transparent
	Next
	
End Sub

Sub InsertKey_Click
	
	MainScreen.SQL1.ExecNonQuery("INSERT INTO Clients VALUES(NULL, '" & lbl(0).Text & "', '" & lbl(1).Text & "', '" & lbl(2).Text & "', '" & lbl(3).Text & "', '" & lbl(4).Text & "', '" & lbl(5).Text & "', '" & lbl(6).Text & "', '" & lbl(7).Text & "')")
	Msgbox("Client Entered Into Database", "")
	Activity.Finish
	
End Sub

Sub BackKey_Click
	Activity.Finish
End Sub

Sub ClearKey_Click
	Dim i As Int
	
	For i = 0 To 7
		lbl(i).Text = ""
	Next
	
	AllOff
End Sub

Sub Panny_Click
	Dim Send As Panel
	
	Send = Sender
	
	AllOff
	
	Send.Color = Colors.RGB(255, 215, 0)
	
	WhatWas = Send.Tag
	KeyIn.InputText = lbl(WhatWas).Text
	StartActivity(KeyIn)
	
End Sub

