﻿Type=Activity
Version=1.80
FullScreen=False
IncludeTitle=False
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
'	Dim SQL1 As SQL
'	Dim DBFileDir As String			: DBFileDir = File.DirDefaultExternal
'	Dim DBFileName As String		: DBFileName = "alliedrota.sqlite"

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Dim LayoutPanel As Panel
	Dim anim As Animation

	Dim BackButton As Button
	Dim ClientAddress As EditText
	Dim ClientName As EditText
	Dim ClientPostcode As EditText
	Dim DelButton As Button
	Dim Ending As EditText
	Dim ShiftLength As Label
	Dim Starting As EditText
	Dim UpdateButton As Button
	
	Dim FName As String				: FName = MainScreen.FName
	Dim LName As String				: LName = MainScreen.LName
	Dim Postal As String			: Postal = MainScreen.Postal
	Dim StartTime As String			: StartTime = MainScreen.StartTime
	Dim EndTime As String			: EndTime = MainScreen.EndTime
	Dim ThisDate As String			: ThisDate = MainScreen.ThisDate
	Dim Addr As String
	Dim hours, mins, secs As Int
	Dim Duration As Long
	Dim times, timee As Long
	Dim TTxt, hrs As String
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	'If File.Exists(DBFileDir, DBFileName) = False Then
	'	If FirstTime Then
	'		File.Copy(File.DirAssets, DBFileName, DBFileDir, DBFileName)
	'		MainScreen.SQL1.Initialize(MainScreen.DBFileDir, MainScreen.DBFileName, True)
	'	End If
	'Else
	'	If FirstTime Then
	'		MainScreen.SQL1.Initialize(MainScreen.DBFileDir, MainScreen.DBFileName, True)
	'	End If
	'End If
	
	LoadLayoutToPanel("ShiftDetails")
	
	Dim Cursor1 As Cursor
	Cursor1 = MainScreen.SQL1.ExecQuery("SELECT * FROM Clients WHERE FirstName='" & FName & "' AND LastName='" & LName & "'")
	
	Cursor1.Position = 0
	
	Addr = Cursor1.GetString("Address")
		
	Cursor1.Close
	
	ClientName.Text = FName & " " & LName
	ClientAddress.Text = Addr
	ClientPostcode.Text = Postal
	Starting.Text = StartTime
	Ending.Text = EndTime
	
	DateTime.TimeFormat = "HH:mm"
	times = DateTime.TimeParse(Starting.Text)
	timee = DateTime.TimeParse(Ending.Text)
	Duration = timee - times
	secs = Round(Duration / 1000)
	mins = Floor(secs / 60) Mod 60
	hours = Floor(secs / 3600) Mod 24
	
	If hours = 0 Then 
		TTxt = mins & " Minutes."
	Else
		
		If hours > 1 Then
			hrs = " Hours"
		Else
			hrs = " Hour"
		End If
		
		TTxt = hours & hrs 
		
		If mins > 0 Then TTxt = TTxt & " and " & mins & " Minutes."
	End If
	
	ShiftLength.Text = "Shift Length: " & TTxt
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub LoadLayoutToPanel (Layout As String)
	If LayoutPanel.IsInitialized Then
		Activity.RemoveViewAt(0)
	End If
	
	LayoutPanel.Initialize("")
	LayoutPanel.LoadLayout(Layout)
	Activity.AddView(LayoutPanel,0,0,100%x,100%y)
End Sub

Sub BackButton_Click
	Activity.Finish
End Sub

Sub DelButton_Click
	Dim Cursor1 As Cursor
	Dim DBTxt As String
	Dim Result As Int
	
	Result = Msgbox2("Are you sure you want to remove this shift from the Database?", "WARNING", "Yes", "", "No", Null)
	If Result = DialogResponse.NEGATIVE Then Return
	
	DBTxt = "DELETE FROM Shifts WHERE Shift_Date='" & ThisDate & "' AND "
	DBTxt = DBTxt & "Client='" & FName & " " & LName & "' AND "
	DBTxt = DBTxt & "Start='" & StartTime & "'"
	
	MainScreen.SQL1.ExecNonQuery(DBTxt)
	
End Sub

