﻿Type=Activity
Version=1.80
FullScreen=False
IncludeTitle=False
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	'Database
'	Dim SQL1 As SQL
'	Dim DBFileDir As String			: DBFileDir = File.DirDefaultExternal
'	Dim DBFileName As String		: DBFileName = "alliedrota.sqlite"
	
	Dim LabelText As String
	Dim WhatWas As Int

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Dim LayoutPanel As Panel

	Dim UpdateKey As Button
	Dim BackKey As Button
	Dim DeleteKey As Button
	
	Dim lbl(8) As Label
	
	Dim Clients As Spinner
	
	Dim FName, LName As String
	
	Dim CID As Int
	
	Dim Panel0 As Panel
	Dim Panel1 As Panel
	Dim Panel2 As Panel
	Dim Panel3 As Panel
	Dim Panel4 As Panel
	Dim Panel5 As Panel
	Dim Panel6 As Panel
	Dim Panel7 As Panel
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	LoadLayoutToPanel("Client_Details.bal")
	
	Dim Cursor1 As Cursor
'	MainScreen.SQL1.Initialize(MainScreen.DBFileDir, MainScreen.DBFileName, True)
	Cursor1 = MainScreen.SQL1.ExecQuery("SELECT * FROM Clients ORDER BY LastName ASC")
	
	For i = 0 To Cursor1.RowCount - 1
    	Cursor1.Position = i
    	FName = Cursor1.GetString("FirstName")
		LName = Cursor1.GetString("LastName")
    	Clients.Add(FName & " " & LName)
	Next
	
	Cursor1.Close
	
End Sub

Sub Activity_Resume
	lbl(WhatWas).Text = KeyIn.InputText
	LabelText = ""
	KeyIn.InputText = ""
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub LoadLayoutToPanel (Layout As String)

	Dim i As Int
	
	If LayoutPanel.IsInitialized Then
		Activity.RemoveViewAt(0)
	End If
	
	For i = 0 To 7
		lbl(i).Initialize("")
		lbl(i).TextColor = Colors.Black
		lbl(i).TextSize = 18
		lbl(i).Gravity = Gravity.CENTER_VERTICAL
	Next
	
	LayoutPanel.Initialize("")
	LayoutPanel.LoadLayout(Layout)
	
	Panel0.AddView(lbl(0), 15, 4, 170, 46)
	Panel1.AddView(lbl(1), 15, 4, 430, 46)
	Panel2.AddView(lbl(2), 15, 4, 430, 46)
	Panel3.AddView(lbl(3), 15, 4, 430, 46)
	Panel4.AddView(lbl(4), 15, 4, 170, 46)
	Panel5.AddView(lbl(5), 15, 4, 170, 46)
	Panel6.AddView(lbl(6), 15, 4, 220, 46)
	Panel7.AddView(lbl(7), 15, 4, 170, 46)
	
	Activity.AddView(LayoutPanel,0,0,100%x,100%y)
	
	AllOff

End Sub

Sub AllOff
	Panel0.Color = Colors.Transparent
	Panel1.Color = Colors.Transparent
	Panel2.Color = Colors.Transparent
	Panel3.Color = Colors.Transparent
	Panel4.Color = Colors.Transparent
	Panel5.Color = Colors.Transparent
	Panel6.Color = Colors.Transparent
	Panel7.Color = Colors.Transparent
End Sub

Sub UpdateKey_Click
	Dim DBTxt As String
	
	DBTxt = "UPDATE Clients SET Client_Number='" & lbl(0).Text & "', FirstName='" & lbl(1).Text 
	DBTxt = DBTxt & "', LastName='" & lbl(2).Text & "', Address='" & lbl(3).Text 
	DBTxt = DBTxt & "', PostCode='" & lbl(4).Text & "', DOB='" & lbl(5).Text 
	DBTxt = DBTxt & "', Phone='" & lbl(6).Text & "', Keysafe_Number='" & lbl(7).Text 
	DBTxt = DBTxt & "' WHERE ID='" & CID & "'"
	
	MainScreen.SQL1.ExecNonQuery(DBTxt)
	Msgbox("Client Details Updated", "UPDATED")
	
End Sub

Sub BackKey_Click
	Activity.Finish
End Sub

Sub DeleteKey_Click
	Dim Cursor1 As Cursor
	Dim DBTxt As String
	Dim Result As Int
	
	DBTxt = lbl(1).Text & " " & lbl(2).Text
	Result = Msgbox2("Are you sure you want to remove " & DBTxt & " from the Database?", "WARNING", "Yes", "", "No", Null)
	If Result = DialogResponse.NEGATIVE Then Return
		
	DBTxt = "DELETE FROM Clients WHERE Client_Number='" & lbl(0).Text & "' AND "
	DBTxt = DBTxt & "FirstName='" & lbl(1).Text & "' AND " & "LastName='" & lbl(2).Text & "'"
	
	MainScreen.SQL1.ExecNonQuery(DBTxt)
	
	Msgbox("Client Deleted from Database", "DELETED")
	
	Activity.Finish
End Sub

Sub Panny_Click
	Dim Send As Panel
	
	Send = Sender
	
	AllOff
	
	Send.Color = Colors.RGB(255, 215, 0)
	
	WhatWas = Send.Tag
	KeyIn.InputText = lbl(WhatWas).Text
	StartActivity(KeyIn)
End Sub


