﻿Type=Activity
Version=1.80
FullScreen=False
IncludeTitle=False
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	'Database
'	Dim SQL1 As SQL
'	Dim DBFileDir As String			: DBFileDir = File.DirDefaultExternal
'	Dim DBFileName As String		: DBFileName = "alliedrota.sqlite"
'	Dim DBFileBak As String			: DBFileBak = "alliedrota.bak"

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Dim anim As Animation
	Dim LayoutPanel As Panel

	Dim BackupButton As Button
	Dim LocationLabel As Label
	Dim RestoreButton As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	LoadLayoutToPanel("Data_Control.bal")
	
	LocationLabel.Text = "File Locations:" & CRLF & File.DirDefaultExternal & CRLF & MainScreen.DBFileName
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub BackupButton_Click
	
	MainScreen.SQL1.Close
	File.Delete(MainScreen.DBFileDir, MainScreen.DBFileBak)
	File.Copy(MainScreen.DBFileDir, MainScreen.DBFileName, MainScreen.DBFileDir, MainScreen.DBFileBak)
	Msgbox("Database has been Backed Up", "")
	Activity.Finish
	
End Sub

Sub RestoreButton_Click
	
	MainScreen.SQL1.Close
	
	If File.Exists(MainScreen.DBFileDir, MainScreen.DBFileName) = True Then
		File.Delete(MainScreen.DBFileDir, MainScreen.DBFileName)
	End If
	
	File.Copy(MainScreen.DBFileDir, MainScreen.DBFileBak, MainScreen.DBFileDir, MainScreen.DBFileName)
	
	If File.Exists(MainScreen.DBFileDir, MainScreen.DBFileName) = True Then
		Msgbox("Database has been Restored", "")
		MainScreen.SQL1.Initialize(MainScreen.DBFileDir, MainScreen.DBFileName, True)
		Activity.Finish
	Else
		MainScreen.SQL1.Initialize(MainScreen.DBFileDir, MainScreen.DBFileName, True)
	End If


End Sub

Sub LoadLayoutToPanel (Layout As String)
	If LayoutPanel.IsInitialized Then
		anim.InitializeAlpha("", 1, 0)
		anim.Duration = 1000
		anim.Start(LayoutPanel)
		
		Activity.RemoveViewAt(0)
	End If
	LayoutPanel.Initialize("")
	LayoutPanel.LoadLayout(Layout)
	Activity.AddView(LayoutPanel,0,0,100%x,100%y)
	anim.InitializeAlpha("", 0, 1)
	anim.Duration = 2000
	anim.Start(LayoutPanel)
End Sub
