﻿Type=Activity
Version=1.80
FullScreen=False
IncludeTitle=False
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
    
	'TimeValue holds a random day in the month to be displayed
	'On start, this must be set accordingly to which month to be displayed
	'In this demo it is set to DateTime.Now which is todays date
	'and the calendar shows the current month
	Dim TimeValue As Long
	Dim TimeVal As String
	Dim FirstDayOfMonth As Long
	Dim LastDayOfMonth As Long 
    Dim Day(7) As String
    Dim Month(12) As String
	Dim DaySelected As Long 'Return value to the calling Activity
	Dim first As String
	Dim FirstDayOfWeek As Int
	Dim DateOut As String
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim Panel1 As Panel
	Dim Label1 As Label
	Dim Label4 As Label
	Dim Label5 As Label
	Dim Label6 As Label
	Dim Label7 As Label
	Dim Label8 As Label
	Dim Label9 As Label
	Dim Label10 As Label
	Dim Label2 As Label
	Dim NextMonth As Button
	Dim PrevMonth As Button
	Dim Cancel As Button
	Dim CurrentMonth As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
'Msgbox(main.parm,"")
 Dim lv As LayoutValues
 lv = GetDeviceLayoutValues
 Dim i As Int 
 
 'Set which day is the first day of the week
 '0 = Sunday
 '1 = Monday
 FirstDayOfWeek = 1
 
 If FirstTime Then
  'Change according to your language
  Day(0) = "su"
  Day(1) = "mo"
  Day(2) = "tu"
  Day(3) = "we"
  Day(4) = "th"
  Day(5) = "fr"
  Day(6) = "sa"
  Month(0) = "January"
  Month(1) = "February"
  Month(2) = "March"
  Month(3) = "April"
  Month(4) = "May"
  Month(5) = "June"
  Month(6) = "July"
  Month(7) = "August"
  Month(8) = "September"
  Month(9) = "October"
  Month(10) = "November"
  Month(11) = "December"
 End If
 DaySelected = 0
 
 If DateOut="" Then
 TimeValue = DateTime.Now 
 TimeVal=""
 End If
 
 If DateOut<>"" Then
 TimeValue = DateTime.DateParse(DateOut) 
 
 Dim mmx As String
 Dim ddx As String
 Dim yyx As String
	
	getstring=DateOut
	mmx = getString.SubString2(0,2) 'find first part of label text 
	ddx = getString.SubString2(3,5) 'find first part of label text 
	yyx = getString.SubString2(6,10) 'find first part of label text 
	TimeVal=ddx&mmx&yyx
  
 End If
  
 Activity.LoadLayout("Kalender")	
 Activity.Title = "Select Day"
 Panel1.Height = 340 * lv.Scale 
 Panel1.Left = (100%x - Panel1.Width) / 2
 If FirstDayOfWeek = 1 Then
  Label4.Text = Day(1)
  Label5.Text = Day(2)
  Label6.Text = Day(3)
  Label7.Text = Day(4)
  Label8.Text = Day(5)
  Label9.Text = Day(6)
  Label10.Text = Day(0)
 Else
  Label4.Text = Day(0)
  Label5.Text = Day(1)
  Label6.Text = Day(2)
  Label7.Text = Day(3)
  Label8.Text = Day(4)
  Label9.Text = Day(5)
  Label10.Text = Day(6)
 End If
 Label4.Width = -2
 Label5.Width = -2
 Label6.Width = -2
 Label7.Width = -2
 Label8.Width = -2
 Label9.Width = -2
 Label10.Width = -2
 DoEvents
 i = 10 * lv.Scale 
 Label4.Left = i + (7 * lv.Scale)
 i = i + (40 * lv.Scale)
 Label5.Left = i + (7 * lv.Scale)
 i = i + (40 * lv.Scale)
 Label6.Left = i + (7 * lv.Scale)
 i = i + (40 * lv.Scale)
 Label7.Left = i + (7 * lv.Scale)
 i = i + (40 * lv.Scale)
 Label8.Left = i + (7 * lv.Scale) 
 i = i + (40 * lv.Scale)
 Label9.Left = i + (7 * lv.Scale) 
 i = i + (40 * lv.Scale)
 Label10.Left = i + (7 * lv.Scale) 
 Cancel.Top = Panel1.Top + Panel1.Height + (15 * lv.Scale)
 CurrentMonth.Top = Panel1.Top + Panel1.Height + (15 * lv.Scale)
 Cancel.Left = (100%x / 2) - (Cancel.Width + CurrentMonth.Width + 15) / 2 
 CurrentMonth.Left = Cancel.Left + Cancel.Width + 15
 CreateCalendar
 
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub CreateCalendar
 Dim i As Int
 Dim OffsetX As Int
 Dim OffsetY As Int
 Dim TempDay As Long 
 Dim StartDate As Long
 Dim EndDate As Long 
 Dim bDay As Long
 Dim Today As Long 
 Dim lv As LayoutValues
 lv = GetDeviceLayoutValues

 Today = DateTime.Now 
 DateTime.DateFormat="ddMMyyyy"
 'Calculate the first day of the month according
 FirstDayOfMonth = DateTime.DateParse("01" & DateTime.Date(TimeValue).SubString(2))
 'Calculate the last day of the month
 TempDay = DateTime.Add(TimeValue,0,1,0)
 TempDay = DateTime.DateParse("01" & DateTime.Date(TempDay).SubString(2))
 LastDayOfMonth = DateTime.Add(TempDay,0,0,-1)
 
 
 Label1.Text = Month(DateTime.GetMonth(TimeValue) - 1) & "  " & DateTime.GetYear(TimeValue)
 OffsetX = 10 * lv.Scale
 OffsetY = 70 * lv.Scale
 
 'Calculate the first day to be displayed in the calendar
 If FirstDayOfWeek = 1 Then
  If (DateTime.GetDayOfWeek(FirstDayOfMonth) - 1) = 0 Then
   StartDate = DateTime.Add(FirstDayOfMonth,0,0,-6)
  Else
   StartDate = DateTime.Add(FirstDayOfMonth,0,0, 0-(DateTime.GetDayOfWeek(FirstDayOfMonth) - 2))
  End If
 Else
  StartDate = DateTime.Add(FirstDayOfMonth,0,0, 0-(DateTime.GetDayOfWeek(FirstDayOfMonth) - 1))
 End If
 
 bDay = StartDate
 
 'Calculate the last day to be displayed in the calendar
 If FirstDayOfWeek = 1 Then
  If (DateTime.GetDayOfWeek(LastDayOfMonth) - 1) = 0 Then
   EndDate = LastDayOfMonth
  Else
   EndDate = DateTime.Add(LastDayOfMonth,0,0, 8 - DateTime.GetDayOfWeek(LastDayOfMonth))
  End If  
 Else
  EndDate = DateTime.Add(LastDayOfMonth,0,0, 7 - DateTime.GetDayOfWeek(LastDayOfMonth))
 End If
 
 'Place a button for each day to be displayed.
 'Days in the previous and next month are grayed out and cannot be selected
 'Todays date is shown with a red bold text
 'Each buttons tag holds the day of the button
 For i = 1 To 42
  If bDay <= EndDate Then
   Dim bn As Button 
   bn.Initialize("ButtonPress")
   bn.Text = DateTime.GetDayOfMonth(bDay)
   If DateTime.GetMonth(bDay) <> DateTime.GetMonth(TimeValue) Then
	bn.Enabled = False
	bn.Tag = 0
   Else
	bn.Enabled = True
	bn.Tag = bDay
   End If
   
   
   If DateTime.Date(bDay) = DateTime.Date(Today)  Then
    bn.TextColor = Colors.Red 
	bn.Typeface = Typeface.DEFAULT_BOLD 
   End If
   
    'Msgbox(DateTime.Date(bDay)& "|" & timeval,"")
	
    If DateTime.Date(bDay) = TimeVal   Then
    bn.TextColor = Colors.blue
	bn.Typeface = Typeface.DEFAULT_BOLD 
   End If
   
   'All buttons are placed on a panel
   Panel1.AddView(bn, OffsetX, OffsetY, 40 * lv.Scale, 40 * lv.Scale)
   OffsetX = OffsetX + (40 * lv.Scale)
   If OffsetX > (250 * lv.Scale) Then
    OffsetX = 10 * lv.Scale
    OffsetY = OffsetY + (40 * lv.Scale)
   End If
   bDay = DateTime.Add(bDay,0,0,1)
  End If
 Next

End Sub

Sub RemovePanelViews
 Dim i As Int
 Dim v As View 
 Dim ii As Long 
 
  For i=Panel1.NumberOfViews-1 To 0 Step -1
  v = Panel1.GetView(i)
  Try
  ii = v.Tag
  If ii >= 0 Then
   Panel1.RemoveViewAt(i)
  End If
  Catch
  End Try
 Next
End Sub

Sub ButtonPress_Click
 'Update DaySelected with the selected day and return to the calling activity
 Dim b As Button 
 b = Sender
 DaySelected = b.Tag 
 first="no"
 Activity.Finish 
End Sub
Sub PrevMonth_LongClick
 'Show previous year
 RemovePanelViews	
 TimeValue = DateTime.Add(FirstDayOfMonth,-1,0,0)
 CreateCalendar	
End Sub
Sub PrevMonth_Click
 'Show previous month
 RemovePanelViews	
 TimeValue = DateTime.Add(FirstDayOfMonth,0,-1,0)
 CreateCalendar	
End Sub
Sub NextMonth_LongClick
 'Show next year
 RemovePanelViews 	
 TimeValue = DateTime.Add(FirstDayOfMonth,1,0,0)
 CreateCalendar		
End Sub

Sub NextMonth_Click
 'Show next month
 RemovePanelViews 	
 TimeValue = DateTime.Add(FirstDayOfMonth,0,1,0)
 CreateCalendar	
End Sub
Sub CurrentMonth_Click
 'Show current month
 RemovePanelViews	
 TimeValue = DateTime.Now 	
 CreateCalendar	
End Sub
Sub Cancel_Click
 'Return to calling activity without selecting a day
 Activity.Finish 
End Sub