﻿Type=Activity
Version=1.80
FullScreen=False
IncludeTitle=False
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	Dim InputText As String

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Dim Timer1 As Timer ' blink the cursor
	Dim LayoutPanel As Panel		: LayoutPanel.Initialize("")
	
	Dim Curs As Label				: Curs.Initialize("")
	Dim InputLabel As Label
	Dim BackPanel As Panel

	Dim LeftLabel, RightLabel As Label
	Dim DelLabel, DoneLabel As Label
	Dim STLabel, ENLabel As Label
	Dim lbl() As Label
	Dim UpTxt(28) As String
	Dim DnTxt(28) As String
	Dim NMTxt(12) As String
	
	UpTxt = Array As String("A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", _
			"O", "P", "Q", "R", "S", "T", "U", "^", "V", "W", "X", "Y", "Z", "^")
			
	DnTxt = Array As String("a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", _
			"o", "p", "q", "r", "s", "t", "u", "^", "v", "w", "x", "y", "z", "^")
			
	NMTxt = Array As String("1", "2", "3", "4", "5", "6", "7", "8", "9", ".", "0", "/")

End Sub

Sub Activity_Create(FirstTime As Boolean)
	Dim Grad As GradientDrawable
	Dim Clrs(2) As Int
	Dim BP, KB, LB As ColorDrawable
	Dim SetPanel As Panel
	
	BP.Initialize(Colors.RGB(255, 215, 0), 7dip)
	KB.Initialize(Colors.RGB(0, 0, 0), 5dip)
	LB.Initialize(Colors.RGB(255, 255, 255), 5dip)
	
	Clrs(0) = Colors.RGB(141, 133, 5)
	Clrs(1) = Colors.RGB(218, 216, 79)
	
	Activity.AddView(LayoutPanel, 0, 0, 100%x, 100%y)
	Grad.Initialize("TOP_BOTTOM", Clrs)
	LayoutPanel.Background = Grad
	
	BackPanel.Initialize("")
	BackPanel.Color = Colors.Transparent
	BackPanel.Background = BP
	
	LayoutPanel.AddView(BackPanel, 15, 20, 450, 54)
	
	SetPanel.Initialize("")
	SetPanel.Background = LB
	BackPanel.AddView(SetPanel, 4, 4, 442, 46)
	
	InputLabel.Initialize("")
	InputLabel.Color = Colors.Transparent
	InputLabel.TextSize = 20
	InputLabel.Typeface = Typeface.MONOSPACE
	InputLabel.TextColor = Colors.Black
	BackPanel.AddView(InputLabel, 15, 6, 438, 46)
	
	InputLabel.Text = InputText
	
	Curs.Color = Colors.Black
	BackPanel.AddView(Curs, 15, 11, 2, 33)
	
	Curs.Left = (InputLabel.Text.Length * 18) + 15
	
	Keyboards
	
	' Make the cursor blink:
	Timer1.Initialize("Timer1", 500)
	Timer1.Enabled = True
	
End Sub

Sub Activity_Resume
	Timer1.Enabled = True
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	Timer1.Enabled = False
End Sub

Sub Timer1_Tick
	' Blink the cursor:
	If Curs.Visible Then
		Curs.Visible = False
	Else
		Curs.Visible = True
	End If
End Sub

Sub CursLeft
	If Curs.Left = 15 Then Return
	If Curs.Left > 15 Then Curs.Left = Curs.Left - 18
End Sub

Sub CursRight
	If Curs.Left = 429 OR Curs.Left >= (InputLabel.Text.Length * 18) Then Return
	If Curs.Left < 429 Then Curs.Left = Curs.Left + 18
End Sub

Sub Labels_Click
	Dim Send As Label
	Dim Slen As Int
	Dim SText As String
	
	SText = InputLabel.Text
	
	If SText.Length = 23 Then Return
	
	Send = Sender
	
	If Send.Tag = "^" Then
		DoChangeCase("S")
		Return
	End If
	
	
	If Curs.Left >= SText.Length * 18 Then
		SText = InputLabel.Text & Send.Tag
	Else
		Slen = Curs.Left / 18
		SText = SText.SubString2(0, Slen) & Send.Text & SText.SubString(Slen)
	End If
	
	InputLabel.Text = SText
	CursRight
	
End Sub

Sub DoChangeCase(cas)
	Dim i As Int
	
	If cas = "S" Then
		If lbl(0).Tag = "A" Then
			For i = 0 To 27
				lbl(i).Text = DnTxt(i)
				lbl(i).Tag = DnTxt(i)
			Next
		Else
			For i = 0 To 27
				lbl(i).Text = UpTxt(i)
				lbl(i).Tag = UpTxt(i)
			Next
		End If
	End If
	
	If cas = "U" Then
		For i = 0 To 27
			lbl(i).Text = UpTxt(i)
			lbl(i).Tag = UpTxt(i)
		Next
	End If
	
	If cas = "D" Then
		For i = 0 To 27
			lbl(i).Text = DnTxt(i)
			lbl(i).Tag = DnTxt(i)
		Next
	End If
	
End Sub

Sub LeftLabel_Click
	CursLeft
End Sub

Sub RightLabel_Click
	CursRight
End Sub

Sub DelLabel_Click
	Dim Slen As Int
	Dim LText As String
	
	LText = InputLabel.Text
	
	If Curs.Left >= LText.Length * 18 Then
		LText = LText.SubString2(0, LText.Length-1)
	Else
		Slen = (Curs.Left / 18) - 1
		LText = LText.SubString2(0, Slen) & LText.SubString(Slen+1)
	End If
	
	InputLabel.Text = LText
	CursLeft
	
End Sub

Sub DoneLabel_Click
	InputText = InputLabel.Text
	Activity.Finish
End Sub

Sub STLabel_Click
	Curs.Left = 15
End Sub

Sub ENLabel_Click
	Curs.Left = (InputLabel.Text.Length * 18) + 15
End Sub

Sub Keyboards
	Dim i, n, x, y, kx, ky As Int
	Dim KeyPan1, KeyPan2, KeyPan3, ControlPan As Panel
	Dim KP1, KP2, KP3, CP As ColorDrawable
	Dim lbl(43) As Label
	
	KP1.Initialize(Colors.Black, 5dip)
	KP2.Initialize(Colors.Black, 5dip)
	KP3.Initialize(Colors.Black, 5dip)
	CP.Initialize(Colors.Black, 5dip)
	
	KeyPan1.Initialize("")
	KeyPan1.Color = Colors.Transparent
	KeyPan1.Background = KP1
	
	KeyPan2.Initialize("")
	KeyPan2.Color = Colors.Transparent
	KeyPan2.Background = KP2
	
	KeyPan3.Initialize("")
	KeyPan3.Color = Colors.Transparent
	KeyPan3.Background = KP3
	
	ControlPan.Initialize("")
	ControlPan.Color = Colors.Transparent
	ControlPan.Background = CP
	
	LayoutPanel.AddView(KeyPan1, 48, 100, 380, 218)
	LayoutPanel.AddView(KeyPan2, 102, 318, 272, 56)
	LayoutPanel.AddView(KeyPan3, 155, 373, 164, 218)
	LayoutPanel.AddView(ControlPan, 126, 591, 226, 164)
	
	ky = 2
	kx = 2
	i = 0
	
	For y = 1 To 4
		For x = 1 To 7
			lbl(i).Initialize("Labels")
			lbl(i).SetBackgroundImage(LoadBitmap(File.DirAssets, "blank.png"))
			lbl(i).TextSize = 26
			lbl(i).Typeface = Typeface.DEFAULT_BOLD
			lbl(i).TextColor = Colors.White
			lbl(i).Gravity = Gravity.CENTER
			KeyPan1.AddView(lbl(i), kx, ky, 52, 52)
			kx = kx + 54
			i = i + 1
		Next
		ky = ky + 54
		kx = 2
	Next
	
	lbl(21).SetBackgroundImage(LoadBitmap(File.DirAssets, "blank2.png"))
	lbl(21).TextColor = Colors.Black
	lbl(27).SetBackgroundImage(LoadBitmap(File.DirAssets, "blank2.png"))
	lbl(27).TextColor = Colors.Black
	
	lbl(28).Initialize("Labels")
	lbl(28).SetBackgroundImage(LoadBitmap(File.DirAssets, "blank2.png"))
	lbl(28).TextSize = 26
	lbl(28).Typeface = Typeface.DEFAULT_BOLD
	lbl(28).TextColor = Colors.Black
	lbl(28).Gravity = Gravity.CENTER
	lbl(28).Text = "'"
	lbl(28).Tag = "'"
	KeyPan2.AddView(lbl(28), 2, 2, 52, 52)
	
	lbl(29).Initialize("Labels")
	lbl(29).SetBackgroundImage(LoadBitmap(File.DirAssets, "blank.png"))
	lbl(29).TextSize = 26
	lbl(29).Typeface = Typeface.DEFAULT_BOLD
	lbl(29).TextColor = Colors.White
	lbl(29).Gravity = Gravity.CENTER
	lbl(29).Text = "SPACE"
	lbl(29).Tag = " "
	KeyPan2.AddView(lbl(29), 56, 2, 160, 52)
	
	lbl(30).Initialize("Labels")
	lbl(30).SetBackgroundImage(LoadBitmap(File.DirAssets, "blank2.png"))
	lbl(30).TextSize = 26
	lbl(30).Typeface = Typeface.DEFAULT_BOLD
	lbl(30).TextColor = Colors.Black
	lbl(30).Gravity = Gravity.CENTER
	lbl(30).Text = "-"
	lbl(30).Tag = "-"
	KeyPan2.AddView(lbl(30), 218, 2, 52, 52)
	
	ky = 2
	kx = 2
	i = 31
	n = 0
	
	For y = 1 To 4
		For x = 1 To 3
			lbl(i).Initialize("Labels")
			lbl(i).SetBackgroundImage(LoadBitmap(File.DirAssets, "blank.png"))
			lbl(i).TextSize = 26
			lbl(i).Typeface = Typeface.DEFAULT_BOLD
			lbl(i).TextColor = Colors.White
			lbl(i).Gravity = Gravity.CENTER
			lbl(i).Text = NMTxt(n)
			lbl(i).Tag = NMTxt(n)
			KeyPan3.AddView(lbl(i), kx, ky, 52, 52)
			kx = kx + 54
			i = i + 1
			n = n + 1
		Next
		ky = ky + 54
		kx = 2
	Next
	
	LeftLabel.Initialize("LeftLabel")
	LeftLabel.SetBackgroundImage(LoadBitmap(File.DirAssets, "MoveLeft_Wide.png"))
	ControlPan.AddView(LeftLabel, 2, 2, 110, 52)
	
	RightLabel.Initialize("RightLabel")
	RightLabel.SetBackgroundImage(LoadBitmap(File.DirAssets, "MoveRight_Wide.png"))
	ControlPan.AddView(RightLabel, 114, 2, 110, 52)
	
	DelLabel.Initialize("DelLabel")
	DelLabel.SetBackgroundImage(LoadBitmap(File.DirAssets, "Backspace_Wide.png"))
	ControlPan.AddView(DelLabel, 2, 56, 110, 52)
	
	DoneLabel.Initialize("DoneLabel")
	DoneLabel.SetBackgroundImage(LoadBitmap(File.DirAssets, "return_wide.png"))
	ControlPan.AddView(DoneLabel, 114, 56, 110, 52)
	
	STLabel.Initialize("STLabel")
	STLabel.SetBackgroundImage(LoadBitmap(File.DirAssets, "blank_wide.png"))
	STLabel.Gravity = Gravity.CENTER
	STLabel.TextColor = Colors.White
	STLabel.TextSize = 26
	STLabel.Text = "<<"
	ControlPan.AddView(STLabel, 2, 110, 110, 52)
	
	ENLabel.Initialize("ENLabel")
	ENLabel.SetBackgroundImage(LoadBitmap(File.DirAssets, "blank_wide.png"))
	ENLabel.Gravity = Gravity.CENTER
	ENLabel.TextColor = Colors.White
	ENLabel.TextSize = 26
	ENLabel.Text = ">>"
	ControlPan.AddView(ENLabel, 114, 110, 110, 52)
	
	DoChangeCase("U")
	
End Sub

Sub AddressSetup
	
End Sub

Sub DOBSetup
	
End Sub

Sub PhoneSetup
	
End Sub

