﻿Type=Activity
Version=1.80
FullScreen=False
IncludeTitle=False
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	'Database
'	Dim SQL1 As SQL
'	Dim DBFileDir As String			: DBFileDir = File.DirDefaultExternal
'	Dim DBFileName As String		: DBFileName = "alliedrota.sqlite"

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Dim LayoutPanel As Panel
	Dim anim As Animation
	
	Dim ClientBox As Spinner
	Dim DateBox As EditText
	Dim CalButton As Button
	Dim EndBox As EditText
	Dim StartBox As EditText
	Dim EndButton As Button
	Dim StartButton As Button
	Dim DoneButton As Button
	Dim BackButton As Button
	Dim PCode As String
	Dim LastID As Int
	Dim FName, LName As String
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	'If File.Exists(DBFileDir, DBFileName) = False Then
	'	If FirstTime Then
	'		File.Copy(File.DirAssets, DBFileName, DBFileDir, DBFileName)
	'		MainScreen.SQL1.Initialize(DBFileDir, DBFileName, True)
	'	End If
	'Else
	'	If FirstTime Then
	'		MainScreen.SQL1.Initialize(MainScreen.DBFileDir, MainScreen.DBFileName, True)
	'	End If
	'End If
	
	LoadLayoutToPanel("New_Shift.bal")
	
	Dim Cursor1 As Cursor
	Cursor1 = MainScreen.SQL1.ExecQuery("SELECT * FROM Clients ORDER BY LastName ASC")
	
	For i = 0 To Cursor1.RowCount - 1
    	Cursor1.Position = i
    	FName = Cursor1.GetString("FirstName")
		LName = Cursor1.GetString("LastName")
    	ClientBox.Add(FName & " " & LName)
	Next
	
	Cursor1.Close
	
	DateBox.Text = MainScreen.CurrDate
	
End Sub

Sub Activity_Resume

	Dim DateIn As String

	 If KalenderActivity.DaySelected > 0 Then
 		DateTime.DateFormat = "dd/MM/yyyy"
  		DateIn = DateTime.Date(KalenderActivity.DaySelected)
  		DateBox.Text = DateIn
 	Else
  		Return
 	End If
 
 	KalenderActivity.DaySelected = 0
	
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub LoadLayoutToPanel (Layout As String)
	If LayoutPanel.IsInitialized Then
		anim.InitializeAlpha("", 1, 0)
		anim.Duration = 1000
		anim.Start(LayoutPanel)
		
		Activity.RemoveViewAt(0)
	End If
	LayoutPanel.Initialize("")
	LayoutPanel.LoadLayout(Layout)
	Activity.AddView(LayoutPanel,0,0,100%x,100%y)
	anim.InitializeAlpha("", 0, 1)
	anim.Duration = 2000
	anim.Start(LayoutPanel)
End Sub

Sub CalButton_Click
	StartActivity("KalenderActivity")
	DateBox.Text = ""
End Sub

Sub StartButton_Click
	Dim tlog As TimeDialog
	Dim e, h, m As String
	
	tlog.SetTime(17, 0, True)
	tlog.Show("", "", "OK", "", "", Null)
	
	h = tlog.Hour
	e = tlog.Hour + 1
	If tlog.Hour < 10 Then h = "0" & h
	If tlog.Hour + 1 < 10 Then e = "0" & e
	m = tlog.Minute
	If tlog.Minute < 10 Then m = "0" & m
	
	StartBox.Text = h & ":" & m
	EndBox.Text = e & ":" & m
	
End Sub

Sub EndButton_Click
	Dim tlog As TimeDialog
	Dim h, m As String
	
	tlog.SetTime(18, 0, True)
	tlog.Show("", "", "OK", "", "", Null)
	
	h = tlog.Hour
	If tlog.Hour < 10 Then h = "0" & h
	m = tlog.Minute
	If tlog.Minute < 10 Then m = "0" & m
	
	EndBox.Text = h & ":" & m
	
End Sub

Sub DoneButton_Click
	Dim Cursor1 As Cursor
	Dim dbtxt, TText As String
	Dim hours, mins, secs As Int
	Dim Duration As Long
	Dim times, timee As Long
	Dim Miles As Float
	Dim Name As String

	DateTime.TimeFormat = "HH:mm"
	times = DateTime.TimeParse(StartBox.Text)
	timee = DateTime.TimeParse(EndBox.Text)
	Duration = timee - times
	secs = Round(Duration / 1000)
	mins = Floor(secs / 60) Mod 60
	hours = Floor(secs / 3600) Mod 24
	
	TText = hours & ":" & mins
	
	Name = ClientBox.SelectedItem
	
	FName = Name.SubString2(0, Name.IndexOf(" "))
	LName = Name.SubString(Name.IndexOf(" ")+1)
	
	Cursor1 = MainScreen.SQL1.ExecQuery("SELECT * FROM Clients WHERE FirstName='" & FName & "' AND LastName='" & LName & "'")
	If Cursor1.RowCount > 0 Then 
		Cursor1.Position = 0
		PCode = Cursor1.GetString("PostCode")
	End If
	
	Cursor1.Close
	
	dbtxt = "INSERT INTO Shifts VALUES "
	
	dbtxt = dbtxt & "(NULL, '"&ClientBox.SelectedItem&"', '"&StartBox.Text&"', '"&EndBox.Text
	dbtxt = dbtxt & "', '"&PCode&"', '"&TText&"', '"&DateBox.Text&"', '0')"
	
	MainScreen.SQL1.ExecNonQuery(dbtxt)
	
	Msgbox("Shift has been added to the Database", "")
	
End Sub

Sub BackButton_Click
	Activity.Finish
End Sub

